GeoTessCPP: geotess::GeoTessProfileType Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
geotess::GeoTessProfileType Class Reference

Enumeration of the valid Profile types, including EMPTY, THIN, CONSTANT, NPOINT and SURFACE. More...

`#include <GeoTessProfileType.h>`

Inheritance diagram for geotess::GeoTessProfileType:

## Public Member Functions
virtual | ~GeoTessProfileType ()
Public Member Functions inherited from geotess::GeoTessEnumType
virtual | ~GeoTessEnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Static Public Member Functions
static const GeoTessProfileType * | valueOf (const string &s)
static GeoTessProfileType const *const *const | values ()
static int | size ()

## Static Public Attributes
static const GeoTessProfileType | EMPTY
static const GeoTessProfileType | THIN
static const GeoTessProfileType | CONSTANT
static const GeoTessProfileType | NPOINT
static const GeoTessProfileType | SURFACE
static const GeoTessProfileType | SURFACE_EMPTY
static const GeoTessProfileType * | aArray []

## Additional Inherited Members
Protected Member Functions inherited from geotess::GeoTessEnumType
| GeoTessEnumType ()
| GeoTessEnumType (const GeoTessEnumType &et)
GeoTessEnumType & | operator= (const GeoTessEnumType &et)
| GeoTessEnumType (const string &name, int ordinal)
Static Protected Member Functions inherited from geotess::GeoTessEnumType
static const GeoTessEnumType * | valueOf (const string &s, GeoTessEnumType const *const *const array, int n)
Protected Attributes inherited from geotess::GeoTessEnumType
const string | aName
const int | aOrdinal

## Detailed Description

Enumeration of the valid Profile types, including EMPTY, THIN, CONSTANT, NPOINT and SURFACE.

An enum list of the valid Profile types, including EMPTY, THIN, CONSTANT, NPOINT and SURFACE.

Author
  Sandy Ballard

Definition at line 71 of file GeoTessProfileType.h.

## Constructor & Destructor Documentation

## ◆ ~GeoTessProfileType()

virtual geotess::GeoTessProfileType::~GeoTessProfileType | ( |  | ) |
| inlinevirtual

Standard Destructor.

Definition at line 132 of file GeoTessProfileType.h.

## Member Function Documentation

## ◆ size()

static int geotess::GeoTessProfileType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

Definition at line 152 of file GeoTessProfileType.h.

## ◆ valueOf()

static const GeoTessProfileType* geotess::GeoTessProfileType::valueOf | ( | const string & | s | ) |
| inlinestatic

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters

  s | The input string for which a match in array is returned (or null).

Returns
  The match of s in the names of array or null if one was not found.

Definition at line 141 of file GeoTessProfileType.h.

## ◆ values()

static GeoTessProfileType const* const* const geotess::GeoTessProfileType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

Definition at line 147 of file GeoTessProfileType.h.

## Member Data Documentation

## ◆ aArray

const GeoTessProfileType* geotess::GeoTessProfileType::aArray[]
| static

The array containing all enums declared above.

Definition at line 127 of file GeoTessProfileType.h.

## ◆ CONSTANT

const GeoTessProfileType geotess::GeoTessProfileType::CONSTANT
| static

Definition at line 119 of file GeoTessProfileType.h.

## ◆ EMPTY

const GeoTessProfileType geotess::GeoTessProfileType::EMPTY
| static

The actual enums for this type.

Definition at line 117 of file GeoTessProfileType.h.

## ◆ NPOINT

const GeoTessProfileType geotess::GeoTessProfileType::NPOINT
| static

Definition at line 120 of file GeoTessProfileType.h.

## ◆ SURFACE

const GeoTessProfileType geotess::GeoTessProfileType::SURFACE
| static

Definition at line 121 of file GeoTessProfileType.h.

## ◆ SURFACE_EMPTY

const GeoTessProfileType geotess::GeoTessProfileType::SURFACE_EMPTY
| static

Definition at line 122 of file GeoTessProfileType.h.

## ◆ THIN

const GeoTessProfileType geotess::GeoTessProfileType::THIN
| static

Definition at line 118 of file GeoTessProfileType.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessProfileType.h